org.kie.internal.runtime.error

## Class ExecutionError

- java.lang.Object
- - org.kie.internal.runtime.error.ExecutionError

- All Implemented Interfaces:
    Serializable

      public class ExecutionError
      extends Object
      implements Serializable

  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ExecutionError.Builder`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Short` | `acknowledged`
    `protected Date` | `acknowledgedAt`
    `protected String` | `acknowledgedBy`
    `protected Long` | `activityId`
    `protected String` | `activityName`
    `protected String` | `deploymentId`
    `protected String` | `error`
    `protected Date` | `errorDate`
    `protected String` | `errorId`
    `protected String` | `errorMessage`
    `protected Long` | `initActivityId`
    `protected Long` | `jobId`
    `protected String` | `processId`
    `protected Long` | `processInstanceId`
    `protected String` | `type`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExecutionError()`
    `ExecutionError(String errorId, String type, String deploymentId, Long processInstanceId, String processId, Long activityId, String activityName, Long jobId, String errorMessage, short acknowledged, String acknowledgedBy, Date acknowledgedAt, Date errorDate)`
    `ExecutionError(String errorId, String type, String deploymentId, Long processInstanceId, String processId, Long activityId, String activityName, Long jobId, String errorMessage, String error, short acknowledged, String acknowledgedBy, Date acknowledgedAt, Date errorDate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ExecutionError.Builder` | `builder()`
    `protected Short` | `getAcknowledged()`
    `Date` | `getAcknowledgedAt()`
    `String` | `getAcknowledgedBy()`
    `Long` | `getActivityId()`
    `String` | `getActivityName()`
    `String` | `getDeploymentId()`
    `String` | `getError()`
    `Date` | `getErrorDate()`
    `String` | `getErrorId()`
    `String` | `getErrorMessage()`
    `Long` | `getInitActivityId()`
    `Long` | `getJobId()`
    `String` | `getProcessId()`
    `Long` | `getProcessInstanceId()`
    `String` | `getType()`
    `boolean` | `isAcknowledged()`
    `void` | `setAcknowledged(boolean acknowledged)`
    `protected void` | `setAcknowledged(Short acknowledged)`
    `void` | `setAcknowledgedAt(Date acknowledgedAt)`
    `void` | `setAcknowledgedBy(String acknowledgedBy)`
    `void` | `setActivityId(Long activityId)`
    `void` | `setActivityName(String activityName)`
    `void` | `setDeploymentId(String deploymentId)`
    `void` | `setError(String error)`
    `void` | `setErrorDate(Date errorDate)`
    `void` | `setErrorId(String errorId)`
    `void` | `setErrorMessage(String errorMessage)`
    `void` | `setInitActivityId(Long initActivityId)`
    `void` | `setJobId(Long jobId)`
    `void` | `setProcessId(String processId)`
    `void` | `setProcessInstanceId(Long processInstanceId)`
    `void` | `setType(String type)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### errorId

          protected String errorId

    - #### type

          protected String type

    - #### deploymentId

          protected String deploymentId

    - #### processInstanceId

          protected Long processInstanceId

    - #### processId

          protected String processId

    - #### activityId

          protected Long activityId

    - #### activityName

          protected String activityName

    - #### jobId

          protected Long jobId

    - #### errorMessage

          protected String errorMessage

    - #### error

          protected String error

    - #### acknowledged

          protected Short acknowledged

    - #### acknowledgedBy

          protected String acknowledgedBy

    - #### acknowledgedAt

          protected Date acknowledgedAt

    - #### errorDate

          protected Date errorDate

    - #### initActivityId

          protected Long initActivityId

  - ### Constructor Detail

    - #### ExecutionError

          public ExecutionError()

    - #### ExecutionError

          public ExecutionError(String errorId,
                                String type,
                                String deploymentId,
                                Long processInstanceId,
                                String processId,
                                Long activityId,
                                String activityName,
                                Long jobId,
                                String errorMessage,
                                short acknowledged,
                                String acknowledgedBy,
                                Date acknowledgedAt,
                                Date errorDate)

    - #### ExecutionError

          public ExecutionError(String errorId,
                                String type,
                                String deploymentId,
                                Long processInstanceId,
                                String processId,
                                Long activityId,
                                String activityName,
                                Long jobId,
                                String errorMessage,
                                String error,
                                short acknowledged,
                                String acknowledgedBy,
                                Date acknowledgedAt,
                                Date errorDate)

  - ### Method Detail

    - #### getErrorId

          public String getErrorId()

    - #### setErrorId

          public void setErrorId(String errorId)

    - #### getType

          public String getType()

    - #### setType

          public void setType(String type)

    - #### getDeploymentId

          public String getDeploymentId()

    - #### setDeploymentId

          public void setDeploymentId(String deploymentId)

    - #### getProcessInstanceId

          public Long getProcessInstanceId()

    - #### setProcessInstanceId

          public void setProcessInstanceId(Long processInstanceId)

    - #### getActivityId

          public Long getActivityId()

    - #### setActivityId

          public void setActivityId(Long activityId)

    - #### getErrorMessage

          public String getErrorMessage()

    - #### setErrorMessage

          public void setErrorMessage(String errorMessage)

    - #### getError

          public String getError()

    - #### setError

          public void setError(String error)

    - #### getAcknowledged

          protected Short getAcknowledged()

    - #### setAcknowledged

          protected void setAcknowledged(Short acknowledged)

    - #### isAcknowledged

          public boolean isAcknowledged()

    - #### setAcknowledged

          public void setAcknowledged(boolean acknowledged)

    - #### getAcknowledgedBy

          public String getAcknowledgedBy()

    - #### setAcknowledgedBy

          public void setAcknowledgedBy(String acknowledgedBy)

    - #### getAcknowledgedAt

          public Date getAcknowledgedAt()

    - #### setAcknowledgedAt

          public void setAcknowledgedAt(Date acknowledgedAt)

    - #### getProcessId

          public String getProcessId()

    - #### setProcessId

          public void setProcessId(String processId)

    - #### getActivityName

          public String getActivityName()

    - #### setActivityName

          public void setActivityName(String activityName)

    - #### builder

          public static ExecutionError.Builder builder()

    - #### getErrorDate

          public Date getErrorDate()

    - #### setErrorDate

          public void setErrorDate(Date errorDate)

    - #### getJobId

          public Long getJobId()

    - #### setJobId

          public void setJobId(Long jobId)

    - #### getInitActivityId

          public Long getInitActivityId()

    - #### setInitActivityId

          public void setInitActivityId(Long initActivityId)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2001–2019 JBoss by Red Hat. All rights reserved.